package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsSiteconfig;

/**
 * 配置管理Service接口
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public interface ITrsSiteconfigService 
{
    /**
     * 查询配置管理
     * 
     * @param id 配置管理主键
     * @return 配置管理
     */
    public TrsSiteconfig selectTrsSiteconfigById(Long id);

    /**
     * 查询配置管理列表
     * 
     * @param trsSiteconfig 配置管理
     * @return 配置管理集合
     */
    public List<TrsSiteconfig> selectTrsSiteconfigList(TrsSiteconfig trsSiteconfig);

    /**
     * 新增配置管理
     * 
     * @param trsSiteconfig 配置管理
     * @return 结果
     */
    public int insertTrsSiteconfig(TrsSiteconfig trsSiteconfig);

    /**
     * 修改配置管理
     * 
     * @param trsSiteconfig 配置管理
     * @return 结果
     */
    public int updateTrsSiteconfig(TrsSiteconfig trsSiteconfig);

    /**
     * 批量删除配置管理
     * 
     * @param ids 需要删除的配置管理主键集合
     * @return 结果
     */
    public int deleteTrsSiteconfigByIds(String ids);

    /**
     * 删除配置管理信息
     * 
     * @param id 配置管理主键
     * @return 结果
     */
    public int deleteTrsSiteconfigById(Long id);

    Integer dosysn(Long id);

    void doscan(Long id, String type, String sitename);

    void docon(Long id);

}
